2019-12-06 05:46 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002017FSSCPFREDpublic2009-11-13 03:07
ReporterFUBAR-BDHR 
Assigned To 
PrioritynormalSeveritytextReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002017: Changing case in wing name does not update ships names in a wing
DescriptionRenaming a wing from something like TestWing to Testwing does not rename the ships in Testwing it leaves them as TestWing 1 etc.
Additional Information3.6.11 r5634
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011220

FUBAR-BDHR (developer)

I've tracked the cause down to the use of stricmp at line line 633 in wing_editor.cpp. Currently testing with strcmp and it seems to be working so far.

~0011259

Goober5000 (administrator)

I'll take your word for it. Fixed in revision 5647.
+Notes

-Issue History
Date Modified Username Field Change
2009-11-02 03:06 FUBAR-BDHR New Issue
2009-11-02 03:49 FUBAR-BDHR Note Added: 0011220
2009-11-13 03:07 Goober5000 Note Added: 0011259
2009-11-13 03:07 Goober5000 Status new => resolved
2009-11-13 03:07 Goober5000 Resolution open => fixed
2009-11-13 03:07 Goober5000 Fixed in Version => 3.6.11
+Issue History